Subject: bug#17467: 24.3; locate-library returning spurious path

From: Alex Kosorukoff <[email-masked]>
Date: Sun, 11 May 2014 10:53:34 -0700

I am not sure what use case did you mean exactly.

(locate-library "tramp.el.gz" 'nosuffix)  will return the path to
tramp.el.gz as expected

did you mean the following

(locate-library "tramp.el") returning the path to tramp.el.gz?

On Sun, May 11, 2014 at 10:46 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: Alex Kosorukoff <[email-masked]>
> > Date: Sun, 11 May 2014 10:38:39 -0700
> > Cc: [email-masked]
> >
> > I think locate-library has an extra parameter nosuffix, so
> (locate-library
> > "tramp.el" 'nosuffix) will find "tramp.el." I guess for backward
> > compatibility we can set nosuffix to t whenever the name has a valid
> suffix
> > already.
>
> But what about adding ".gz" to it?
>
> In any case, it is very convenient to not have to worry whether
> there's already a suffix there.  You cannot always know that when user
> input is involved.
>